/*
*/

#include <gst/gst.h>
#include <gst-phonon/gst-phonon.h>
#include "abstractaudiooutput.h"

namespace Phonon
{
namespace Gst
{
AbstractAudioOutput::AbstractAudioOutput( QObject* parent )
	: QObject( parent )
{
	object = gpho_audio_output_new(GPHO_CATEGORY_MUSIC); /* XXX: how can one change that category stuff? */
}

AbstractAudioOutput::~AbstractAudioOutput()
{
	gst_object_unref(object);
}

}} //namespace Phonon::Gst

#include "abstractaudiooutput.moc"
// vim: sw=4 ts=4
